# Interface ModuleComponentSelector

All Superinterfaces:
  `ComponentSelector`

@Incubating public interface ModuleComponentSelector extends ComponentSelector
Criteria for selecting a component instance that is available as a module version.

Since:
  1.10

## Method Summary

Modifier and Type
Method
Description
`String`
`getGroup()`
The group of the module to select the component from.
`String`
`getModule()`
The name of the module to select the component from.
`String`
`getVersion()`
The version of the module to select the component from.
`VersionConstraint`
`getVersionConstraint()`
The version constraint of the module to select the component from.

### Methods inherited from interface ComponentSelector

`getDisplayName, matchesStrictly`

## Method Details

### getGroup

String getGroup()
The group of the module to select the component from.

Returns:
  Module group
Since:
  1.10

### getModule

String getModule()
The name of the module to select the component from.

Returns:
  Module name

### getVersion

String getVersion()
The version of the module to select the component from.

Returns:
  Module version

### getVersionConstraint

@Incubating VersionConstraint getVersionConstraint()
The version constraint of the module to select the component from.

Returns:
  Module version constraint
Since:
  4.4